portals-jetspeed-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 21131] - Using Jetspeed with J2SE 1.4.2-beta breaks portlets
Date Wed, 02 Jul 2003 09:26:14 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=21131>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=21131

Using Jetspeed with J2SE 1.4.2-beta breaks portlets





------- Additional Comments From sgala@hisitech.com  2003-07-02 09:26 -------
The right question is "can the XML parser from JDK 1.4.2-beta be replaced?"

The answer is yes.

At catalina level, there is a common/endorsed/ directory, where jars can be
placed to override the java classes in rt.jar

At the j2sdkXXX/jre/lib level, you can also add an "endorsed" dir, to contain
such jars.

For this concrete problem, playing with the different xerces and xalan jars
around can definitely help, as well as using the -verbose flag to understan
where are classes loaded from.

---------------------------------------------------------------------
To unsubscribe, e-mail: jetspeed-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: jetspeed-dev-help@jakarta.apache.org


Mime
View raw message